Bug 247485 - gnome-screensaver fade in animation broken
Summary: gnome-screensaver fade in animation broken
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 245345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-09 15:56 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.18.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 15:22:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2007-07-09 15:56:06 UTC
+++ This bug was initially created as a clone of Bug #245345 +++

gnome-screensaver for RHEL5 gnome-screensaver-2.16.1-5.el5 isn't built with
libXxf86vm support.  Which means that we don't get to use the nice gamma fade
out lock warning.

From the standard RPM:
%ldd gnome-screensaver |grep xf86

If I simply rebuild the RPM from the SRPM it picks it up properly:
%ldd gnome-screensaver |grep xf86
       libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x05fa3000)
        libXxf86misc.so.1 => /usr/lib/libXxf86misc.so.1 (0x00110000)

Probably need to add?:
BuildRequires: libXxf86misc
BuildRequires: libXxf86vm

-- Additional comment from rstrode@redhat.com on 2007-06-22 11:41 EST --
BuildRequires: libXxf86misc-devel
BuildRequires: libXxf86vm-devel

actually.  Proposing for 5.2 and/or fast track.

-- Additional comment from mccann@jhu.edu on 2007-07-09 11:38 EST --
Same problems with the package in Fedora 7 FWIW.

-- Additional comment from rstrode@redhat.com on 2007-07-09 11:54 EST --
okay let's clone this bug for Fedora 7, one sec.

Comment 1 Ray Strode [halfline] 2007-07-09 16:10:06 UTC
rebuilding in rawhide now

Comment 2 Ray Strode [halfline] 2007-07-09 16:18:40 UTC
rebuilding in Fedora 7 updates-candidate now

Comment 3 Fedora Update System 2007-07-10 06:42:46 UTC
gnome-screensaver-2.18.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 jmccann 2007-07-10 14:29:57 UTC
The update in testing fixes this problem.  Thanks Ray.

Comment 5 Ray Strode [halfline] 2007-07-10 14:45:39 UTC
cool, i'll request a push to final

Comment 6 Fedora Update System 2007-07-11 15:22:12 UTC
gnome-screensaver-2.18.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.